function  plotpolseq(varargin)
//-----------------------------------------------------------------------  
// function  plotpolseq(varargin)
//  
// is a function for PLOTING a sequence of arbitrary polygons 
//
// input:    varargin   A list of polygons together with their
//                      "Titles". i.e. polygons and their "Titles"
//                      in the odd & even positions repectively
//
//-----------------------------------------------------------------------  
//   $RCSfile: plotpolseq.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $Bhaskara Reddy. Poluru:$
//
//-----------------------------------------------------------------------
//  $Log: 
//-----------------------------------------------------------------------  

// first finding the total  number of input orguments
  
  l =length(varargin);
  
  if l~=1,
    if modulo(l,2)==1,
      error('wrong number of input arguments.');
    end
    L = varargin;
  else 
    
    l = length(varargin(1));
    if modulo(l,2)==1,
      error('wrong number of input arguments.');
    end
    L = varargin(1);
  end;
  
  xselect();
  xbasc();	
    
  // the number of plots would be: s
  s=l/2; i=1;  
  c=ceil(sqrt(s));
  f=floor(sqrt(s));
  
  if s > c*f,
    f= c;
  end;
  
  // plotting the polygons in subplots
  
  while i<=l,
            
    subplot(c,f,(i+1)/2);
    p = L(i);
    xtitle(L(i+1) );
    plot2d(p(1,:),p(2,:),0,"041"," ", [min(p),min(p), ...
		    max(p),max(p)],nax=[0,4,0,4]);
    
    xpoly(p(1,:), p(2,:), "lines",1);
        
    i=i+2;
    
  end;
  
  
endfunction






























