.TH cycltrans  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
cycltrans - implementation of cyclic translation for matrices.

.SH CALLING SEQUENCE
.nf
res = cycltrans(mat, m, n)
.fi

.SH PARAMETERS
.TP 10
mat   :
arbitrary typed matrix to be translated.
.TP 10
m     :
shift in y-Direction = first matrix-dimension, integer value.
.TP 10
n     :    
shift in x-Direction = second matrix-dimension integer value.
.TP 10
res   :      
cyclic translated matrix.
.SH DESCRIPTION
\fVcycltrans\fR implements cyclic translation of matrices with help of ...
    (expensive) matrix multiplications. e.g. cycltrans([1 2 3; 4 5 6; 7 8 9], 1,1)= [5 6 4; 8 9 7 ; 2 3 1]


.SH EXAMPLE 
.nf 
mat = [1 2 3; 4 5 6; 7 8 9];
res = cycltrans(mat, 1, 1);  
.fi

.SH SEE ALSO
fcycltrans

.SH AUTHOR
Bernard Haasdonk


