.TH polstar  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
polstar - a matrix with the edges of an origin centered star(polygon) of given parameters.

.SH CALLING SEQUENCE
.nf
res = polstar(n, R, r)
.fi

.SH PARAMETERS
.TP 10
n    :      
number of arms
.TP 10
R    :
outer radius
.TP 10
r    :
inner radius
.TP 10
res  :      
matrix with the corners/edges of the origin centered star of n arms 

.SH DESCRIPTION
\fVpolstar\fR generates a polygon star with origin as the center 
and n as the number of arms, R as the outer radius and r as the 
inner radius. users can use simtrans function to translate this 
so generated star. and polstar_demo for the GUI demo.

.SH EXAMPLE 
.nf 
n = 5; R = 4; r = 3;
res = polstar(n, R, r);
plotpol(res);
.fi

.SH SEE ALSO
simtrans, polstar_demo, plotpol

.SH AUTHOR
Bhaskara Reddy Poluru 


