.TH repmat  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
repmat - constructs a large matrix of n*m blocks each consisting of "mat"
 
.SH CALLING SEQUENCE
.nf
res = repmat(mat, n, m)
.fi

.SH PARAMETERS
.TP 10
mat  :       
a matrix of dimension x*y where x & y are >=1
.TP 10
n    :      
desired number of copies of mat in y- direction
 .TP 10
m    :      
desired number of copies of mat in x- direction
.TP 10
res     :      
block-matrix consisting of n*m copies of "mat".

.SH DESCRIPTION
\fVrepmat\fR:
repeating of matrix "mat" (to n rows and m columns) i.e 
constructing a large matrix of n*m blocks each consisting of "mat".

.SH EXAMPLE 
.nf 
mat =[1:3; 4:6; 7:9; 10:12]; 
n = 3;
m = 2;
res = repmat(mat, n, m);  
.fi

.SH AUTHOR
Bhaskara Reddy Poluru

