.TH plotFourierseq  "July 2002" "Presto Group" "scilab function"
.so ../sci.an
 
.SH NAME 
plotFourierseq - plots Fouriersequence of a Polygon for a given range and step values

.SH CALLING SEQUENCE
.nf
plotFourierseq(pol, n_start, n_end, n_step)
.fi

.SH PARAMETERS
.TP 14
pol      :      
a 2*n polygon for which the fourierseq to be calculated
.TP 14
n_start  :      
start of the range of index of co-efficients
.TP 14
n_end    :      
end of the range of index of co-efficients
.TP 14
n_step   :      
step of the range of index of co-efficients

.SH DESCRIPTION
\fVplotFourierseq\fR generates a list(sequence) of polygons in the given range of index of co-efficients from a given polygon,then it plots the list of polygons using the plotpolseq function. users can find a sample demo in the list displayed by patrec_demos or in pattern-recognition-demos shown by Demos button in the scilab-environment-window toolbar.  

.SH EXAMPLE 
.nf 
pol = polstar(5,4,3);
n_start = 1;
n_end = 41;
n_step = 5;
plotFourierseq(pol, n_start, n_end, n_step);  
.fi

.SH SEE ALSO
plotpol, plotpolseq, plotclassseq

.SH AUTHOR
Bhaskara Reddy Poluru

